org.apache.ignite.internal.processors.cache

## Class CacheCompressionManager

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheManagerAdapter
  - - org.apache.ignite.internal.processors.cache.CacheCompressionManager

All Implemented Interfaces:
  GridCacheManager

    public class CacheCompressionManager
    extends GridCacheManagerAdapter

Cache compression manager.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheManagerAdapter

`cctx, log, starting`

### Constructor Summary

Constructors
Constructor and Description
`CacheCompressionManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ByteBuffer` `compressPage(ByteBuffer page, PageStore store)`
`protected void` `start0()`

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheManagerAdapter

`context, kernalStartInfo, kernalStopInfo, log, onDisconnected, onKernalStart, onKernalStart0, onKernalStop, onKernalStop0, printMemoryStats, start, startInfo, stop, stop0, stopInfo, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CacheCompressionManager

    public CacheCompressionManager()

### Method Detail

#### start0

    protected void start0()
                   throws IgniteCheckedException

Overrides:
  `start0` in class `GridCacheManagerAdapter`
Throws:
  `IgniteCheckedException` - If failed.

#### compressPage

    public ByteBuffer compressPage(ByteBuffer page,
                                   PageStore store)
                            throws IgniteCheckedException

Parameters:
  `page` - Page buffer.
  `store` - Page store.
Returns:
  Compressed or the same buffer.
Throws:
  `IgniteCheckedException` - If failed.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020